include("shared.lua")

hook.Add("NetworkEntityCreated", "BreachCharge_RenderBreachedDoors", function(ent)
	local origin_ent = ent:GetDTEntity(16)
	if IsValid(origin_ent) then
		ent:SetRenderBounds(ent:OBBMins(), ent:OBBMaxs())
		if ent:GetCreationTime() > CurTime() - 1 then
			ent:SnatchModelInstance(origin_ent)
		end
	end
end)